/* Layout für Handy Layoutbody */

body {
	
	display: grid;
	grid-template-columns: 1fr;
	grid-template-rows: auto;
	grid-template-areas:
		"header"
		"anrede"
		"navi"
		"konzerte"
		"gottesdienste"
		"choere"
		"unterricht"
		"kontakt"
		"footer";
	color: #263238;  

	/* Wichtig für Handy-Scrollen */
	overflow-y: auto;
	-webkit-overflow-scrolling: touch;

	/* verhindert horizontales Wischen */
	overflow-x: hidden;
}

.header { grid-area: header; }
.anrede { grid-area: anrede; }
.konzerte { grid-area: konzerte; }
.navi {grid-area: navi;}
.gottesdienste { grid-area: gottesdienste; }
.choere { grid-area: choere; }
.unterricht { grid-area: unterricht; }
.kontakt { grid-area: kontakt; }
.footer { grid-area: footer; }

.header {
	background-color:  #A9D18e;
	color: #222;
	font-size: clamp(1.5rem, 2.5vw, 3rem);
	font-family: Garamond, Verdana, Arial, sans-serif;
	font-weight: bold;
	text-align: center;
	padding-top: 20px;
	padding-bottom: 30px;
}

.navi {
	background-color:  #A9D18e;
	font-size: clamp(1.2rem 2vw, 3rem);
	font-family: Garamond, Verdana, Arial, sans-serif;
	font-weight: bold;
	text-align: center;
}

.navi ul {
	max-width: 56.4rem;
	margin: auto;
	padding: 0;
	background: #fff;
	list-style: none;
	border-radius: 0.2rem;
	display: block;
	}
	
.navi li {
	border: 1px solid black;
	border-radius: 0.2rem;
    }	

.navi a {
	text-decoration: none;
	color: #222;
	text-align: center;
	display: block;
	padding: 0.5rem 1rem;
    }

.navi a:hover {
	color: #A9D18e;
	background: #222;
    }

.anrede {
	color: #222;
	font-size: clamp(1.2rem, 2.5vw, 3rem);
	font-family: Garamond, Verdana, Arial, sans-serif;
	font-weight: bold;
	text-align: center;
	padding-top: 10px;
	padding-bottom: 10px;
}

.konzerte {
color: #222;
	font-size: clamp(0.8rem, 1.6vw, 2rem);
	font-family: Garamond, Verdana, Arial, sans-serif;
	font-weight: bold;
	text-align: center;
	padding-bottom: 10px;
}

.gottesdienste {
color: #222;
	font-size: clamp(0.8rem, 1.6vw, 5rem);
	font-family: Garamond, Verdana, Arial, sans-serif;
	font-weight: bold;
	text-align: center;
	padding-bottom: 10px;
}

.choere {
color: #222;
	font-size: clamp(0.8rem, 1.6vw, 5rem);
	font-family: Garamond, Verdana, Arial, sans-serif;
	font-weight: bold;
	text-align: center;
	padding-bottom: 10px;
}

.unterricht {
color: #222;
	font-size: clamp(0.8rem, 1.6vw, 5rem);
	font-family: Garamond, Verdana, Arial, sans-serif;
	font-weight: bold;
	text-align: center;
	padding-bottom: 10px;
}

.kontakt {
color: #222;
	font-size: clamp(0.8rem, 1.6vw, 5rem);
	font-family: Garamond, Verdana, Arial, sans-serif;
	font-weight: bold;
	text-align: center;
	padding-bottom: 10px;
}

.footer {
background-color:  #A9D18e;
	color: #222;
	font-size: clamp(1rem, 1vw, 3rem);
	font-family: Garamond, Verdana, Arial, sans-serif;
	font-weight: bold;
	color: #fff;	
	text-align: right;
}


/*Desktop Layout */

@media screen and (min-width: 1000px)

{
body {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
	grid-template-rows: auto;
	grid-template-areas:
		"header header header header header"
		"navi navi navi navi navi"
		"anrede anrede anrede anrede anrede"
		"konzerte gottesdienste choere unterricht kontakt"
		"footer footer footer footer footer";
	color: #263238;
}

.header {grid-area: header;}
.navi {grid-area: navi;}
.anrede {grid-area: anrede;}
.konzerte {grid-area: konzerte;}
.gottesdienste {grid-area: gottesdienste;}
.choere {grid-area: choere;}
.unterricht {grid-area: unterricht;}
.kontakt {grid-area: kontakt;}
.footer {grid-area: footer;}

header {
	background-color:  #A9D18e;
	font-size: clamp(1.3rem, 3vw, 3rem);
	font-family: Garamond, Verdana, Arial, sans-serif;
	font-weight: bold;
	text-align: center;
	padding-top: 30px;
	padding-bottom: 30px;
	}
	
.navi {
	background-color:  #A9D18e;
	font-size: clamp(1.3rem, 2.3vw, 3rem);
	font-family: Garamond, Verdana, Arial, sans-serif;
	font-weight: bold;
	text-align: center;
}

.navi ul {
	max-width: 56.4rem;
	margin: auto;
	padding: 0;
	background: #fff;
	list-style: none;
	border-radius: 0.2rem;
	display: flex;
	}
	
.navi li {
	border: 1px solid black;
	border-radius: 0.2rem;
    }	

.navi a {
	text-decoration: none;
	color: #222;
	text-align: center;
	display: block;
	padding: 0.5rem 1rem;
    }

.navi a:hover {
	color: #A9D18e;
	background: #222;
    }

.anrede {
	background-color:  #ffffff;
	font-size: clamp(1.3rem, 1.8vw, 3rem);
	font-family: Garamond, Verdana, Arial, sans-serif;
	font-weight: bold;
	text-align: center;
	padding-top: 20px;
	padding-bottom: 20px;
}

.konzerte {
	background-color:  #ffffff;
	font-size: clamp(1rem, 0.8vw, 3rem);
	font-family: Garamond, Verdana, Arial, sans-serif;
	font-weight: bold;
	text-align: center;
	padding-bottom:10px;
}

.gottesdienste{
	background-color:  #ffffff;
	font-size: clamp(1rem, 0.8vw, 3rem);
	font-family: Garamond, Verdana, Arial, sans-serif;
	font-weight: bold;
	text-align: center;
	padding-bottom:10px;
}

.choere{
	background-color:  #ffffff;
	font-size: clamp(1rem, 0.8vw, 3rem);
	font-family: Garamond, Verdana, Arial, sans-serif;
	font-weight: bold;
	text-align: center;
	padding-bottom:10px;
}

.unterricht {
	background-color:  #ffffff;
	font-size: clamp(1rem, 0.8vw, 3rem);
	font-family: Garamond, Verdana, Arial, sans-serif;
	font-weight: bold;
	text-align: center;
	padding-bottom:10px;
}

.kontakt {
	font-size: clamp(1rem, 0.8vw, 3rem);
	font-family: Garamond, Verdana, Arial, sans-serif;
	font-weight: bold;
	text-align: center;
	padding-bottom:10px;
	}

footer {
	background-color:  #A9D18e;
	font-size: clamp(1rem, 0.8vw, 3rem);
	font-family: Garamond, Verdana, Arial, sans-serif;
	font-weight: bold;
	color: #fff;
	text-align: right;
}
}